#include <conio.h>
#include <ctype.h>
#include <dos.h>
#include <dir.h>

short deldir(char *);

short main(int argc,char **argv)
{
char *orig_path;
short ret;

if(argc<2) {
  cprintf("\n\rUsage: %s pathname\n\rwhere pathname is of the form"
	" C:\\STUF\n\rWarning: This will delete all files in the"
	" specified directory and its children!\r");
  return(2);
  }

cprintf("Destroying:\r\n");

orig_path=getcwd(0,255);			// Store current path

					// If drive specified change to it
if(argv[1][1]==':') setdisk(toupper(argv[1][0])-'A');

ret=deldir(argv[1]);				// Perform deletion of path
rmdir(argv[1]);					// Remove path

setdisk(*orig_path-'A');			// Change to orig drive
chdir(orig_path);				// Restore orignal path
free(orig_path);

if(ret) cprintf("\r\nIllegal pathname!\r");
else cprintf("Successful destruction of path has taken place.\r");

return(ret);
}

short deldir(char *start)
{
struct ffblk fi;
char path[MAXPATH];

if(chdir(start)) return(1);			// change into sub-dir

cprintf("%s           \r",getcwd(path,MAXPATH));

if(!findfirst("*.*",&fi,FA_DIREC)) do {		// Look for all files & dirs
  if(fi.ff_attrib&FA_DIREC) {			// If a directory is found
    if(*fi.ff_name!='.') {			// & if its not . or ..
      deldir(fi.ff_name);			// delete the directory
      rmdir(fi.ff_name);			// remove the directory
      }
    }
  else remove(fi.ff_name);			// If its a file delete it
  } while(!findnext(&fi));			// Continue for all files

chdir("..");					// change back to parent
return(0);					// return success
}